Rails 2.0.2 i zmiana domyślnych ustawień

Opublikowane przez Jarosław Zabiełło Mon, 17 Dec 2007 22:27:00 GMT

Pojawił się Rails v2.0.2 . Poza poprawionymi błędami zmieniono także domyślne ustawienia odnośnie tworzenia projektu. Teraz aby wybrać MySQL trzeba jawnie podać parametr “-d mysql”. Bez tego Rails zakłada że chcemy użyć bazy SQLite3.

Pozmieniało się też trochę w RubyGems. Teraz domyślnie jest włączon opcja -y (--include-dependencies) co akurat jest dobrym wyborem. Poza tym koniec z głupimi pytaniami czy instalować gema dla win32 czy POSIX. RubyGems rozpoznaje sam platformę. Także gem_server może być odpalany teraz jako

gem server

Nowy Rails 2.0.2 może nie być dostępny przez RubyGems (związane jest to z czasem niezbędnym do replikacji serwerów RubyForge). Najszybciej więc jest pobrać kod za pomocą Subversion i zainstalować ręcznie wszystki gemy (w podanej kolejności!):

svn co http://dev.rubyonrails.org/svn/rails/tags/rel_2-0-2/ rails-2.0.2
cd rails-2.0.2
rake package
gem install -l activesupport/pkg/activesupport-2.0.2.gem 
gem install -l actionpack/pkg/actionpack-2.0.2.gem
gem install -l actionmailer/pkg/actionmailer-2.0.2.gem 
gem install -l activerecord/pkg/activerecord-2.0.2.gem
gem install -l activeresource/pkg/activeresource-2.0.2.gem
cd railties
rake package
gem install -l pkg/rails-2.0.2.gem

Tagi , ,  | 2 comments

Comments

  1. Avatar Radarek powiedział about 16 hours later:

    Jak zwykle dodam coś od siebie ;-)

    By zrobić update rubygems do najnowszej wersji: gem update—system

    Jeśli gem update rails nie znajduje gema w repozytorium to można także podać alternatywne źródło gemów:

    gem install rails --source http://gems.rubyonrails.org
  2. Avatar Piotr Usewicz powiedział about 20 hours later:

    Dokladnie :)

(leave url/email »)

   Pomoc języka formatowania Obejrzyj komentarz